%define oname   xml-simple

Name:       ruby-%{oname}
Version:    1.1.2
Release:    %mkrel 6
Summary:    A simple API for XML processing
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://xml-simple.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A simple API for XML processing.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{gem_instdir}/lib/xmlsimple.rb


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.1.2-6.mga4
+ Revision: 562617
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-5.mga4
+ Revision: 536219
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 1.1.2-4.mga4
+ Revision: 483741
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.1.2-3.mga3
+ Revision: 396620
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 381629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.1.2-1.mga3
+ Revision: 314094
- new version 1.1.2

* Sat Apr 09 2011 shikamaru <shikamaru> 1.0.15-1.mga1
+ Revision: 82574
- new version 1.0.15

* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.14-1.mga1
+ Revision: 50847
- imported package ruby-xml-simple


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.14-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 1.0.14

* Fri Dec 10 2010 Rémy Clouard <shikamaru@mandriva.org> 1.0.12-1mdv2011.0
+ Revision: 620455
- import rubygem-xml-simple

